## python-numpy 1.7.1

=== debian/changelog ===
python-numpy (1:1.7.1-1ubuntu1) raring; urgency=low

  * remove unused 21_disable-plot-extension.patch
  * Merge with Debian (LP: #1168652); remaining changes:
    - debian/patches/20_disable-plot-extension.patch
       Disable plot_directive extension, and catch ImportErrors when
       matplotlib cannot be imported, which allows us to remove
       python-matplotlib from dependencies.  This is required because
       python-numpy is in main, while python-matplotlib is in universe.
    - Build using dh_python2.
    - Add bin/f2py* to .install files.
    - Add autopkgtests.
    - Fix numpy symlink in python3 debug include directories.
    - Move the debug numpy symlinks into the -dbg packages.

 -- Julian Taylor <jtaylor@ubuntu.com>  Sat, 13 Apr 2013 13:01:55 +0200

python-numpy (1:1.7.1-1) experimental; urgency=low

  * New upstream release
  * Acknowledge NMU as of 1.6.2-1.2; Closes: #700718, #700994

 -- Sandro Tosi <morph@debian.org>  Mon, 08 Apr 2013 21:39:55 +0200
