=== debian/control ===
Source: python-numpy
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Sandro Tosi <morph@debian.org>
Build-Depends: python-all-dev, python-all-dbg, gfortran (>= 4:4.2), libblas-dev [!arm !m68k], liblapack-dev [!arm !m68k], debhelper (>= 7.0.50~), patchutils, python-docutils, python-sphinx (>= 1.0.7+dfsg), python-nose, python3-all-dev, python3-all-dbg, python3-nose, python-tz, python3-tz
X-Python-Version: >= 2.4
X-Python3-Version: >= 3.1
Standards-Version: 3.9.3
Vcs-Svn: svn://svn.debian.org/python-modules/packages/numpy/trunk
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/numpy/trunk/
Homepage: http://www.numpy.org/
XS-Testsuite: autopkgtest

Package: python-numpy
Architecture: any
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Suggests: python-numpy-doc, python-numpy-dbg, python-nose (>= 0.10.1), python-dev, gfortran, gcc (>= 4:4.6.1-5)
Provides: ${python:Provides}, ${numpy:Provides}, python-numpy-dev, python-f2py
Breaks: python-gtk2 (<= 2.24.0-3),
        python-gtk2-dbg (<= 2.24.0-3),
        python-glade2 (<= 2.24.0-3),
        python-visual (<= 1:5.12-1.4+b1),
        python-enable (<= 4.0.0-2),
        python-pygame (<= 1.9.1release+dfsg-6),
        python-rpy (<= 1.0.3-21),
        pymca (<= 4.5.0-4),
        shogun-python-static (<= 1.1.0-4),
        shogun-python-modular (<= 1.1.0-4),
        shogun-elwms-static (<= 1.1.0-4),
        python-sidl (<= 1.4.0.dfsg-8) [armhf s390x],
        python-sidl (<= 1.4.0.dfsg-8+b1) [!armhf !s390x],
        python-netcdf (<= 2.8-3+b1) [armhf s390x],
        python-netcdf (<= 2.8-3+b2) [!armhf !s390x]
Description: Numerical Python adds a fast array facility to the Python language
 Numpy contains a powerful N-dimensional array object, sophisticated
 (broadcasting) functions, tools for integrating C/C++ and Fortran
 code, and useful linear algebra, Fourier transform, and random number
 capabilities.
 .
 Numpy replaces the python-numeric and python-numarray modules which are
 now deprecated and shouldn't be used except to support older
 software.

Package: python-numpy-dbg
Priority: extra
Section: debug
Architecture: any
Depends: python-numpy (= ${binary:Version}), python-dbg, ${shlibs:Depends}, ${misc:Depends}
Breaks: python-numpy (<< 1:1.7.0~b2-1ubuntu4)
Replaces: python-numpy (<< 1:1.7.0~b2-1ubuntu4)
Description: Fast array facility to the Python language (debug extension)
 Numpy contains a powerful N-dimensional array object, sophisticated
 (broadcasting) functions, tools for integrating C/C++ and Fortran
 code, and useful linear algebra, Fourier transform, and random number
 capabilities.
 .
 Numpy replaces the python-numeric and python-numarray modules which
 are now deprecated and shouldn't be used except to support older
 software.
 .
 This package contains the extension built for the Python debug interpreter.

Package: python3-numpy
Architecture: any
Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
Suggests: python-numpy-doc, python3-numpy-dbg, python3-nose (>= 0.10.1), python3-dev, gfortran, gcc (>= 4:4.6.1-5)
Provides: ${python3:Provides}, ${numpy3:Provides}, python3-numpy-dev, python3-f2py
Description: Numerical Python adds a fast array facility to the Python language
 Numpy contains a powerful N-dimensional array object, sophisticated
 (broadcasting) functions, tools for integrating C/C++ and Fortran
 code, and useful linear algebra, Fourier transform, and random number
 capabilities.
 .
 Numpy replaces the python-numeric and python-numarray modules which are
 now deprecated and shouldn't be used except to support older
 software.
 .
 This package contains Numpy for Python 3.

Package: python3-numpy-dbg
Priority: extra
Section: debug
Architecture: any
Depends: python3-numpy (= ${binary:Version}), python3-dbg, ${shlibs:Depends}, ${misc:Depends}
Breaks: python3-numpy (<< 1:1.7.0~b2-1ubuntu4)
Replaces: python3-numpy (<< 1:1.7.0~b2-1ubuntu4)
Description: Fast array facility to the Python language (debug extension)
 Numpy contains a powerful N-dimensional array object, sophisticated
 (broadcasting) functions, tools for integrating C/C++ and Fortran
 code, and useful linear algebra, Fourier transform, and random number
 capabilities.
 .
 Numpy replaces the python-numeric and python-numarray modules which
 are now deprecated and shouldn't be used except to support older
 software.
 .
 This package contains the extension built for the Python 3 debug interpreter.

Package: python-numpy-doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Section: doc
Architecture: all
Description: NumPy documentation
 Numpy contains a powerful N-dimensional array object, sophisticated
 (broadcasting) functions, tools for integrating C/C++ and Fortran
 code, and useful linear algebra, Fourier transform, and random number
 capabilities.
 .
 Numpy replaces the python-numeric and python-numarray modules which
 are now deprecated and shouldn't be used except to support older
 software.
 .
 This package contains documentation for Numpy and f2py.
