=== debian/tests/control ===
Tests: python2
Depends: python-numpy, python-all, python-nose, python-tz

Tests: python3
Depends: python3-numpy, python3-all, python3-nose, python3-tz

#needs root for update-alternatives
Tests: openblas
Restrictions: needs-root
Depends: python-numpy, python-all, python-nose, python-tz, libopenblas-base

#needs root for update-alternatives
Tests: atlas
Restrictions: needs-root
Depends: python-numpy, python-all, python-nose, python-tz, libatlas3-base

Tests: f2py
Depends: gcc, gfortran, python-numpy, python-numpy-dbg, python-all, python-all-dbg, python-all-dev, python3-numpy, python3-numpy-dbg, python3-all, python3-all-dbg, python3-all-dev
