## python-numpy 1.8.0

=== debian/changelog ===
python-numpy (1:1.8.0-1) experimental; urgency=low

  * New upstream release; Closes: #724047, #701920, #710177
  * debian/copyright
    - added new files' copyright
  * debian/README.Debian
    - removed, obsolete
  * debian/patches/40_m68k_long_double_format.diff
    - removed, merged upstream
  * debian/patches/*
    - refreshed
  * debian/python-numpy.docs
    - no longer install benchmark dir, removed upstream
  * debian/versions
    - bump API version to 9
  * debian/control
    - bump Standards-Version to 3.9.4 (no changes needed)
    - bump minimum python version requirements
    - added python-numpydoc to b-d, needed to build doc

 -- Sandro Tosi <morph@debian.org>  Sat, 02 Nov 2013 13:18:24 +0100

python-numpy (1:1.7.1-3) unstable; urgency=medium

  * Team upload.
  * Medium urgency for RC bug fix
  * Fix regex for python3 debug .so files so kfreebsd .so files aren't removed
    in error (Closes: #718900)

 -- Scott Kitterman <scott@kitterman.com>  Wed, 28 Aug 2013 00:19:00 -0400

python-numpy (1:1.7.1-2) unstable; urgency=low

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Scott Kitterman ]
  * In debian/rules, use python abiflags to find include directories for both
    python3.2 and python3.3 (mu/dmu versus m/dm); thanks to Julian Taylor for
    the report and patch; Closes: #705346

  [ Sandro Tosi ]
  * upload to unstable; that implicitly supports Python 3.3; thanks to Lucas
    Nussbaum for the report; Closes: #707461

 -- Sandro Tosi <morph@debian.org>  Mon, 10 Jun 2013 20:27:13 +0200
